<?php

/**psr-4 */
require_once "vendor/autoload.php";

use App\Libreria\Conexion;
use App\Models\Item;

new Conexion();

if (!empty($_POST['provincia'])) {
    $lugar = new Item();
    $lugar->nombre = strtoupper($_POST['provincia']);
    $lugar->grupo_id = 2;
    $lugar->save();

    $_SESSION['message_success'] = 'Se añadio correctamente';
}
if (!empty($_POST['distrito'])) {
    $lugar = new Item();
    $lugar->nombre = strtoupper($_POST['distrito']);
    $lugar->grupo_id = 3;
    $lugar->padre = $_POST['padre'];
    $lugar->save();

    $_SESSION['message_success'] = 'Se añadio correctamente';
}
if (!empty($_POST['anexo'])) {
    $lugar = new Item();
    $lugar->nombre = strtoupper($_POST['anexo']);
    $lugar->grupo_id = 4;
    $lugar->padre = $_POST['padre'];
    $lugar->save();

    $_SESSION['message_success'] = 'Se añadio correctamente';
}

if (isset($_POST['editar'])) {
    $lugar = Item::find($_POST['item']);
    $lugar->nombre = strtoupper($_POST['item_post']);
    $lugar->save();

    $_SESSION['message_success'] = 'Se actualizo correctamente';
}

if (isset($_POST['delete'])) {
    $lugar = Item::find($_POST['item']);
    $lugar->delete();

    $_SESSION['message_success'] = 'Se elimino correctamente';
}



if (!empty($_GET['accion']) and $_GET['accion'] == 'delete') {
    $tipo_documento = Item::find($_GET['tipo']);
    $tipo_documento->delete();

    $_SESSION['message_success'] = 'Se elimino correctamente';
}

header("Location: " . $_SERVER["HTTP_REFERER"]);
